html {
    width: 100%;
    height: 100%;
}

body {
    display: flex;
    flex-flow: column;
    width: 100%;
    min-height: 100%;
    font-family: sans-serif;
    margin: 0;
}

body.mobile .desktop-only {
    display: none;
}

body:not(.mobile) .mobile-only {
    display: none;
}

header {
    text-align: center;
    background: #009e8d;
    color: white;
    padding-right: 54px;
}

h1 {
    line-height: 54px;
    margin: 10px;
}

h2 {
    margin-top: 0;
}

img {
    width: 100%;
    max-width: 400px;
    height: auto;
}

header img {
    float: left;
    width: 54px;
    height: 54px;
    border-radius: 16px;
    margin: 10px;
}

main {
    position: relative;
    clear: both;
    margin: 0 auto;
    padding: 20px;
    max-width: 100%;
    box-sizing: border-box;
}

.note {
    background: #eee;
    border-radius: 16px;
    padding: 20px;
}

.note p {
    margin: 0 auto 5px;
}

a {
    color: #018bdb;
    font-weight: bold;
}

a:hover {
    color: #0070b0;
}

li {
    margin-top: 10px;
}

li::marker {
    color: #009e8d;
    font-weight: bold;
} 

a.button {
    display: inline-block;
    margin: 5px auto;
    padding: 10px 15px 8px;
    border-radius: 60px;
    background: #29c3c2;
    color: white;
    font-weight: bold;
    text-decoration: none;
    box-shadow: 0 3px 0 0 #0da1a0;
    transition: all .1s ease;
}

a.button:hover {
    transform: translateY(2px);
    box-shadow: 0 1px 0 0 #0da1a0;
}

a.secondary-button {
    background: #999;
    box-shadow: 0 3px 0 0 #555;
}

a.secondary-button:hover {
    box-shadow: 0 1px 0 0 #555;
}

a.login-button {
    position: relative;
    padding: 20px 30px;
    font-size: 2rem;
}

a.login-button::after {
    position: absolute;
    bottom: -15px;
    right: -30px;
    content: '';
    display: block;
    width: 64px;
    height: 64px;
    background-image: url('tap.svg');
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
}

.qr-button {
    display: inline-block;
    overflow: hidden;
    border-radius: 12px;
    box-shadow: 0 3px 8px -5px black;
    transition: all .1s ease;
}

.qr-button:hover {
    transform: translateY(-2px);
    box-shadow: 0 6px 20px -10px black;
}

article {
    display: flex;
    flex-flow: row wrap;
    gap: 15px;
    margin-top: 15px;
}

section {
    flex: 1;
    flex-basis: 300px;
    border: 4px solid #eee;
    border-radius: 16px;
    padding: 15px;
}

code {
    display: inline-block;
    vertical-align: text-bottom;
    max-width: 100%;
    overflow-x: auto;
}

.modal {
    position: absolute;
    top: 10px;
    bottom: 10px;
    left: 0;
    right: 0;
    display: none;
    align-items: center;
    justify-content: center;
}

.modal.active {
    display: flex;
}

.modal section {
    display: block;
    min-height: 100%;
    margin: auto;
    text-align: center;
    background: white;
}

.modal-close {
    position: absolute;
    z-index: 1;
    top: 10px;
    right: 10px;
    border: none;
    border-radius: 100%;
    background: gray;
    width: 32px;
    height: 32px;
    font-size: 20px;
    color: white;
    text-align: center;
    cursor: pointer;
}

.row {
    display: flex;
    flex-flow: row wrap;
    align-items: flex-start;
    justify-content: space-between;
    gap: 10px;
}

.row a {
    margin: 0;
}
